0 Replies Latest reply on Jun 6, 2016 11:33 PM by Mo IC

    JBoss AS 5.1, Exclude JBoss CXF and only use Apache CXF 2.7.18

    Mo IC Newbie

      I am getting a lot of errors on deployment which I believe is due to me using Apache CXF 2.7.18 and JBoss CXF jars. Is there some way I can configure something in Eclipse so only Apache CXF 2.7.18 is used?

       

      This is a Dynamic Web Project in Eclipse using Java 1.6.0_22. I was looking at something called jboss-deployment-structure.xml, but not sure how I should write it. I cannot upgrade JBoss or Apache CXF as the company wants to stick with these versions. I'm guessing that xml would go in WEB-INF folder. If there is another way, please let me know as well (vice versa would also be helpful).

       

      Any help would be greatly appreciated! Thanks in advance!